Servoy JasperReports Plugin - Defect #389

Reports should run inside current transaction if one exists.
11/03/2011 06:44 PM - Corey Puffalt
Description

Today, if you generate a report while a transaction is active, the report runs outside that transaction. Instead, the plugin should
participate in the active transaction if one exists.

Our use case is that we use Oracle global temp tables to store report parameters (eg. keys from a foundset) for performance reasons
but since the plugin doesn't participate in the current transaction it doesn't "see" the keys we stored in the temp table.

History

#1 - 11/23/2011 09:29 AM - Andrei Costache
- Status changed from New to Closed

- Assignee set to Andrei Costache
Fixed.
#2 - 11/23/2011 06:27 PM - Corey Puffalt

Andrei, thanks for addressing this issue. | think there may be a bug in SVN revision 29. Connections participating in a transaction need to be closed
using:

finally

{
if (conn != null) {
if (txid != null) { Utils.releaseConnection(conn); }
else try { conn.close(); } catch (SQLException ex) { }

}
}

| really hope a future release of Servoy wraps Connections so that the .close() method does the right thing seamlessly without hacky code like the
above which is error-prone but for now | don't think there's anyway around that.

Thanks.

#3 - 11/23/2011 06:38 PM - Corey Puffalt
Oops. Ignore that. | see you already caught that and fixed at SVN r33.
